﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="igHierarchicalGrid.aspx.cs" Inherits="Default2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.13/jquery-ui.min.js" type="text/javascript"></script>

<script src="http://cdn-na.infragistics.com/jquery/20122/latest/js/infragistics.loader.js" type="text/javascript" ></script>
    <script src="dataSource.js" type="text/javascript"></script>
<script type="text/JavaScript">
       $.ig.loader({scriptPath: "http://cdn-na.infragistics.com/jquery/20122/latest/js/",
         cssPath:"http://cdn-na.infragistics.com/jquery/20122/latest/css/",
		 resources:"igHierarchicalGrid.*"
});
 $.ig.loader(function () {
    $('#Grid1').igHierarchicalGrid({
        dataSource: sourceData,
        dataSourceType: 'json',
        autoGenerateColumns: false,
        autoGenerateLayouts: false,
		localSchemaTransform: true,
        responseDataKey: 'Records',
        initialDataBindDepth:-1,
        primaryKey: 'ProjectId',
        features: [{ 
        name: "Selection",mode: "row",rowSelectionChanging: function (evt, ui) {
             var _row = ui.row.index;
             var dataview = $("#Grid1").data("igGrid").dataSource.dataView();
             ID = dataview[_row].ProjectId;
              alert(ID);
               }
            }],
        columns: [
			{ headerText: 'Project Id', key: 'ProjectId', dataType: 'number', width: '200px' }, 
			{ headerText: 'Name', key: 'Name', dataType: 'string', width: '200px'}, 
			{ headerText: 'Start Date', key: 'StartDate', dataType: 'date', width: '200px' }, 
			{ headerText: 'End Date', key: 'EndDate', dataType: 'date', width: '200px' }, 
			{ headerText: 'Is Postponed', key: 'IsPostponed', dataType: 'bool', width: '200px' }
		],
        columnLayouts: [
			{
				key: 'Developers',
				primaryKey: 'DeveloperId',
				foreignKey: 'ProjectId',
				caption: 'Developers',
				localSchemaTransform: true,
				autoGenerateColumns: false,
				responseDataKey: 'Records',
				columns: [
					{ headerText: 'Developer Id', key: 'DeveloperId', dataType: 'number', width: '100px' }, 
					{ headerText: 'Project Id', key: 'ProjectId', dataType: 'number', width: '100px' }, 
					{ headerText: 'Name', key: 'Name', dataType: 'string', width: '200px' }, 
					{ headerText: 'Positon', key: 'Position', dataType: 'string', width: '100px' },
					{ headerText: 'Hire Date', key: 'HireDate', dataType: 'date', width: '150px' }, 
					{ headerText: 'Salary', key: 'Salary', dataType: 'number', width: '200px', format: 'currency' }
				],
				
			}, 

		]
    });
    });
    </script>
</head>
<body>
    <form id="form1" runat="server">
  <table id="Grid1"></table>
    </form>
</body>
</html>
